import axios from "@/utils/axios";
export default {
  /**
   * 新增专利挖掘项目
   */
  addPatentDigProject(data) {
    return axios.post("/xiaoshi/patentDigProject/addPatentDigProject", data);
  },
  /**
   * 查询专利挖掘项目
   */
  queryPatentDigProject(data) {
    return axios.post("/xiaoshi/patentDigProject/queryPatentDigProject", data);
  },
  /**
   * 查询研发项目编号、名称
   */
  getRdProjectByNumber(data) {
    return axios.post("/xiaoshi/patentDigProject/getRdProjectByNumber", data);
  },
  /**
   * 编辑专利挖掘项目
   */
  updatePatentDigProject(data) {
    return axios.post("/xiaoshi/patentDigProject/updatePatentDigProject", data);
  },
  /**
   * 删除专利挖掘项目
   */
  deletePatentDigProject(data) {
    return axios.post("/xiaoshi/patentDigProject/deletePatentDigProject", data);
  },
  /**
   * 专利挖掘项目分组
   */
  groupPatentDigProject(data) {
    return axios.post("/xiaoshi/patentDigProject/groupPatentDigProject", data);
  },
  /**
   * 专利挖掘审核
   */
  addProjectOpenExamineTask(data) {
    return axios.post("/xiaoshi/projectTask/addProjectOpenExamineTask", data);
  },
  /**
   * 专利挖掘任务查询
   */
  queryProjectTask(data) {
    return axios.post("/xiaoshi/projectTask/queryProjectTask", data);
  },
};
